Fingerprint_Card

Loading...
Searching...
No Matches
ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream Class Reference

An UncompressedStream is a stream that you can write uncompressed data to and flush, but cannot read, seek or do anything else to. More...

Inheritance diagram for ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream:
[legend]
Collaboration diagram for ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream:
[legend]

## Public Member Functions
| UncompressedStream (Stream baseStream)
override void | Close ()
| Close this stream instance.
override void | Flush ()
| Write any buffered data to underlying storage.
override int | Read (byte[] buffer, int offset, int count)
| Reads a sequence of bytes from the current stream and advances the position within the stream by the number of bytes read.
override long | Seek (long offset, SeekOrigin origin)
| Sets the position within the current stream.
override void | SetLength (long value)
| Sets the length of the current stream.
override void | Write (byte[] buffer, int offset, int count)
| Writes a sequence of bytes to the current stream and advances the current position within this stream by the number of bytes written.

## Properties
override bool | CanRead`[get]`
| Gets a value indicating whether the current stream supports reading.
override bool | CanWrite`[get]`
| Gets a value indicating whether the current stream supports writing.
override bool | CanSeek`[get]`
| Gets a value indicating whether the current stream supports seeking.
override long | Length`[get]`
| Get the length in bytes of the stream.
override long | Position`[get, set]`
| Gets or sets the position within the current stream.

## Private Attributes
Stream | baseStream_

## Detailed Description

An UncompressedStream is a stream that you can write uncompressed data to and flush, but cannot read, seek or do anything else to.

## Constructor & Destructor Documentation

## ◆ UncompressedStream()

ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.UncompressedStream | ( | Stream | baseStream | ) |

## Member Function Documentation

## ◆ Close()

override void ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Close | ( |  | ) |

Close this stream instance.

## ◆ Flush()

override void ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Flush | ( |  | ) |

Write any buffered data to underlying storage.

## ◆ Read()

override int ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Read | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Reads a sequence of bytes from the current stream and advances the position within the stream by the number of bytes read.

Parameters

  buffer | An array of bytes. When this method returns, the buffer contains the specified byte array with the values between offset and (offset + count - 1) replaced by the bytes read from the current source.
  offset | The zero-based byte offset in buffer at which to begin storing the data read from the current stream.
  count | The maximum number of bytes to be read from the current stream.

Returns
  The total number of bytes read into the buffer. This can be less than the number of bytes requested if that many bytes are not currently available, or zero (0) if the end of the stream has been reached.

Exceptions

  T:System.ArgumentException | The sum of offset and count is larger than the buffer length.
  T:System.ObjectDisposedException | Methods were called after the stream was closed.
  T:System.NotSupportedException | The stream does not support reading.
  T:System.ArgumentNullException | buffer is null.
  T:System.IO.IOException | An I/O error occurs.
  T:System.ArgumentOutOfRangeException | offset or count is negative.

## ◆ Seek()

override long ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Seek | ( | long | offset,
|  | SeekOrigin | origin )

Sets the position within the current stream.

Parameters

  offset | A byte offset relative to the origin parameter.
  origin | A value of type T:System.IO.SeekOrigin indicating the reference point used to obtain the new position.

Returns
  The new position within the current stream.

Exceptions

  T:System.IO.IOException | An I/O error occurs.
  T:System.NotSupportedException | The stream does not support seeking, such as if the stream is constructed from a pipe or console output.
  T:System.ObjectDisposedException | Methods were called after the stream was closed.

## ◆ SetLength()

override void ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.SetLength | ( | long | value | ) |

Sets the length of the current stream.

Parameters

  value | The desired length of the current stream in bytes.

Exceptions

  T:System.NotSupportedException | The stream does not support both writing and seeking, such as if the stream is constructed from a pipe or console output.
  T:System.IO.IOException | An I/O error occurs.
  T:System.ObjectDisposedException | Methods were called after the stream was closed.

## ◆ Write()

override void ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Write | ( | byte[] | buffer,
|  | int | offset,
|  | int | count )

Writes a sequence of bytes to the current stream and advances the current position within this stream by the number of bytes written.

Parameters

  buffer | An array of bytes. This method copies count bytes from buffer to the current stream.
  offset | The zero-based byte offset in buffer at which to begin copying bytes to the current stream.
  count | The number of bytes to be written to the current stream.

Exceptions

  T:System.IO.IOException | An I/O error occurs.
  T:System.NotSupportedException | The stream does not support writing.
  T:System.ObjectDisposedException | Methods were called after the stream was closed.
  T:System.ArgumentNullException | buffer is null.
  T:System.ArgumentException | The sum of offset and count is greater than the buffer length.
  T:System.ArgumentOutOfRangeException | offset or count is negative.

## Member Data Documentation

## ◆ baseStream_

Stream ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.baseStream_
| private

## Property Documentation

## ◆ CanRead

override bool ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.CanRead
| get

Gets a value indicating whether the current stream supports reading.

## ◆ CanSeek

override bool ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.CanSeek
| get

Gets a value indicating whether the current stream supports seeking.

## ◆ CanWrite

override bool ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.CanWrite
| get

Gets a value indicating whether the current stream supports writing.

## ◆ Length

override long ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Length
| get

Get the length in bytes of the stream.

## ◆ Position

override long ICSharpCode.SharpZipLib.Zip.ZipFile.UncompressedStream.Position
| get set

Gets or sets the position within the current stream.

The documentation for this class was generated from the following file:

- ICSharpCode.SharpZLib/Zip/ZipFile.cs